<template>
  <v-navigation-drawer v-model="drawer" app>
    <v-sheet color="grey lighten-4" class="pa-4">
      <div>{{ userName }}</div>
    </v-sheet>

    <v-divider></v-divider>

    <v-list>
      <v-list-item link @click="$router.push({ name: 'ProductPage' })">
        <v-list-item-icon>
          <v-icon>mdi-car-windshield</v-icon>
        </v-list-item-icon>

        <v-list-item-content>
          <v-list-item-title>Sản Phẩm</v-list-item-title>
        </v-list-item-content>
      </v-list-item>

      <v-list-item link @click="$router.push({ name: 'CustomerPage' })">
        <v-list-item-icon>
          <v-icon>mdi-face-agent</v-icon>
        </v-list-item-icon>

        <v-list-item-content>
          <v-list-item-title>Khách Hàng</v-list-item-title>
        </v-list-item-content>
      </v-list-item>

      <v-list-item link @click="$router.push({ name: 'UserPage' })">
        <v-list-item-icon>
          <v-icon>mdi-account-multiple</v-icon>
        </v-list-item-icon>

        <v-list-item-content>
          <v-list-item-title>Users</v-list-item-title>
        </v-list-item-content>
      </v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>

<script>
export default {
  name: "DashboardLayout",
  data: () => ({
    drawer: null,
  }),
  computed: {
    userInfo() {
      const data = localStorage.getItem("userInfo");
      return data ? JSON.parse(data) : {};
    },
    userName() {
      return this.userInfo ? this.userInfo.name : "";
    },
  },
};
</script>
